Aerialist plug-ins are not currently supported in Acrobat DC on the Mac operating system. However, Acrobat DC for the Windows operating system is supported.

Adobe switched Adobe Acrobat DC on Mac from a 32-bit to 64-bit application as required by Apple for newer versions of Mac OS X however updating the architecture of the plug-in from 32-bit to 64-bit requires a significant amount of work so a Acrobat DC compatible Mac version won’t be released until later in 2015, approximately September.

Until then users can continue to use Aerialist on Mac with Acrobat X or Acrobat XI. Here are instructions from Adobe on how to re-install Acrobat XI if you are on a subscription.